fMRIprep: FileNotFoundError for output t2star_map of a T2SMap interface

Summary of what happened:

Trying to run fmriprep 23.2.0 on one subject with T1w and 4 task information.

I met problems as belows.We have no t2w but error include.what’s that means?

Does anyone know what the problem might be in any of these cases? What should I do to solve this error?

Thank you in advance!

Command used (and if a helper script was used, a link to the helper script or the command generated):

    docker run --rm -it -v /e/fmri:/base nipreps/fmriprep:23.2.0 /base/rawdata /base/derivatives/fmriprep participant --skip_bids_validation --participant-label 21105 --fs-license-file /base/license.txt --notrack --stop-on-first-crash

Version:

23.2.0

Environment (Docker, Singularity / Apptainer, custom installation):

Docker

Data formatted according to a validatable standard? Please provide the output of the validator:

PASTE VALIDATOR OUTPUT HERE

Relevant log outputs (up to 20 lines):

	Node: fmriprep_23_2_wf.sub_21105_wf.bold_task_igt_echo_1_wf.bold_native_wf.bold_t2smap_wf.t2smap_node
	
	Working directory: /tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/bold_t2smap_wf/t2smap_node
		
	Node inputs:
		
	args = <undefined>
	echo_times = [0.0126, 0.03086, 0.04912, 0.06738]
	environ = {}
	fittype = curvefit
	in_files = <undefined>
	mask_file = <undefined>
		
	Traceback (most recent call last):
	  File "/opt/conda/envs/fmriprep/lib/python3.10/site-packages/nipype/pipeline/plugins/multiproc.py", line 67, in run_node
	    result["result"] = node.run(updatehash=updatehash)
	  File "/opt/conda/envs/fmriprep/lib/python3.10/site-packages/nipype/pipeline/engine/nodes.py", line 527, in run
	    result = self._run_interface(execute=True)
	  File "/opt/conda/envs/fmriprep/lib/python3.10/site-packages/nipype/pipeline/engine/nodes.py", line 645, in _run_interface
	    return self._run_command(execute)
	  File "/opt/conda/envs/fmriprep/lib/python3.10/site-packages/nipype/pipeline/engine/nodes.py", line 771, in _run_command
	    raise NodeExecutionError(msg)
	nipype.pipeline.engine.nodes.NodeExecutionError: Exception raised while executing Node t2smap_node.
		
	Cmdline:
		t2smap -d /tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/_echoidx_0/boldref_bold/sub-21105_task-igt_echo-1_bold_tshift_xformresampled.nii.gz /tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/_echoidx_1/boldref_bold/sub-21105_task-igt_echo-2_bold_tshift_xformresampled.nii.gz /tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/_echoidx_2/boldref_bold/sub-21105_task-igt_echo-3_bold_tshift_xformresampled.nii.gz /tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/_echoidx_3/boldref_bold/sub-21105_task-igt_echo-4_bold_tshift_xformresampled.nii.gz -e 12.6 30.86 49.12 67.38 --mask /tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/bold_t2smap_wf/dilate_mask/dilated_mask.nii.gz --fittype curvefit
	Stdout:
		
	Stderr:
		INFO     t2smap:t2smap_workflow:233 Using output directory: /tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/bold_t2smap_wf/t2smap_node
		INFO     t2smap:t2smap_workflow:243 Loading input data: ['/tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/_echoidx_0/boldref_bold/sub-21105_task-igt_echo-1_bold_tshift_xformresampled.nii.gz', '/tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/_echoidx_1/boldref_bold/sub-21105_task-igt_echo-2_bold_tshift_xformresampled.nii.gz', '/tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/_echoidx_2/boldref_bold/sub-21105_task-igt_echo-3_bold_tshift_xformresampled.nii.gz', '/tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/_echoidx_3/boldref_bold/sub-21105_task-igt_echo-4_bold_tshift_xformresampled.nii.gz']
		INFO     t2smap:t2smap_workflow:259 Using user-defined mask
		INFO     t2smap:t2smap_workflow:262 Computing adaptive T2* map
		Killed
	Traceback:
		Traceback (most recent call last):
		  File "/opt/conda/envs/fmriprep/lib/python3.10/site-packages/nipype/interfaces/base/core.py", line 453, in aggregate_outputs
		    setattr(outputs, key, val)
		  File "/opt/conda/envs/fmriprep/lib/python3.10/site-packages/nipype/interfaces/base/traits_extension.py", line 330, in validate
		    value = super(File, self).validate(objekt, name, value, return_pathlike=True)
		  File "/opt/conda/envs/fmriprep/lib/python3.10/site-packages/nipype/interfaces/base/traits_extension.py", line 135, in validate
		    self.error(objekt, name, str(value))
		  File "/opt/conda/envs/fmriprep/lib/python3.10/site-packages/traits/base_trait_handler.py", line 74, in error
		    raise TraitError(
		traits.trait_errors.TraitError: The 't2star_map' trait of a T2SMapOutputSpec instance must be a pathlike object or string representing an existing file, but a value of '/tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/bold_t2smap_wf/t2smap_node/T2starmap.nii.gz' <class 'str'> was specified.
		
		During handling of the above exception, another exception occurred:
		
		Traceback (most recent call last):
		  File "/opt/conda/envs/fmriprep/lib/python3.10/site-packages/nipype/interfaces/base/core.py", line 400, in run
		    outputs = self.aggregate_outputs(runtime)
		  File "/opt/conda/envs/fmriprep/lib/python3.10/site-packages/nipype/interfaces/base/core.py", line 460, in aggregate_outputs
		    raise FileNotFoundError(msg)
		FileNotFoundError: No such file or directory '/tmp/work/fmriprep_23_2_wf/sub_21105_wf/bold_task_igt_echo_1_wf/bold_native_wf/bold_t2smap_wf/t2smap_node/T2starmap.nii.gz' for output 't2star_map' of a T2SMap interface

Screenshots / relevant information:


It’s a memory issue. Two options are to either increase the allotted memory (--mem) or use --me-t2s-fit-method loglin (which uses less memory than the default curvefit option) with fMRIPrep >= 23.1.0.

EDIT: The error has nothing to do with a T2w image. It’s the T2* estimation step for your multi-echo fMRI data.

Hello, I am experiencing an error code while using Nipype via Jupyter Notebook on the HPC. I noticed that Nipype only utilized 0.3Gb of the 1Tb of free memory. I also attempted to request 4Gb of memory while launching Jupyter Notebook, but the error code still persists. Do you have any idea what may be causing this issue?